Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::BER_Decoding_Error Struct Reference

`#include <asn1_obj.h>`

Inheritance diagram for Botan::BER_Decoding_Error:

## Public Member Functions
| BER_Decoding_Error (const std::string &)
const char * | what () const BOTAN_NOEXCEPT override

## Detailed Description

General BER Decoding Error Exception

Definition at line 118 of file asn1_obj.h.

## Constructor & Destructor Documentation

Botan::BER_Decoding_Error::BER_Decoding_Error | ( | const std::string & | str | ) |
| explicit

Definition at line 20 of file asn1_obj.cpp.

20 :
21 Decoding_Error("BER: " + str) {}
Botan::Decoding_Error::Decoding_Error
Decoding_Error(const std::string &name)
Definition: exceptn.h:191

## Member Function Documentation

const char* Botan::Exception::what | ( |  | ) | const
| inline override inherited

Definition at line 26 of file exceptn.h.

Referenced by botan_cipher_update(), Botan::RSA_PrivateKey::create_decryption_op(), Botan::RSA_PublicKey::create_encryption_op(), Botan::X509_Object::do_decode(), and Botan::X509::load_key().

26 { return m_msg.c_str(); }

The documentation for this struct was generated from the following files:

- src/lib/asn1/asn1_obj.h
- src/lib/asn1/asn1_obj.cpp